Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# IORTableC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corba.h"`
`#include "iortable_export.h"`
`#include "ace/post.h"`

Include dependency graph for IORTableC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | IORTable
## Compounds
exception | IORTable::AlreadyBound
| The object key is already in the IORTable. More...
interface | IORTable::Locator
| Callback interface to locate object keys dynamically. More...
exception | IORTable::NotFound
| Cannot find the object key in the IORTable. More...
interface | IORTable::Table
| Define the IORTable interface. More...
## Defines
#define | TAO_EXPORT_MACRO TAO_IORTable_Export
#define | _IORTABLE_LOCATOR___PTR_CH_
#define | _IORTABLE_LOCATOR___VAR_CH_
#define | _IORTABLE_LOCATOR___OUT_CH_
#define | _IORTABLE_ALREADYBOUND_CH_
#define | _IORTABLE_NOTFOUND_CH_
#define | _IORTABLE_TABLE___PTR_CH_
#define | _IORTABLE_TABLE___VAR_CH_
#define | _IORTABLE_TABLE___OUT_CH_
#define | _IORTABLE_TABLE_CH_
#define | _IORTABLE_LOCATOR_CH_
## Functions
TAO_NAMESPACE_CLOSE TAO_IORTable_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IORTable::AlreadyBound &)
TAO_IORTable_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IORTable::AlreadyBound &)
TAO_IORTable_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IORTable::NotFound &)
TAO_IORTable_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IORTable::NotFound &)

## Define Documentation

#define _IORTABLE_ALREADYBOUND_CH_

#define _IORTABLE_LOCATOR___OUT_CH_

#define _IORTABLE_LOCATOR___PTR_CH_

#define _IORTABLE_LOCATOR___VAR_CH_

#define _IORTABLE_LOCATOR_CH_

#define _IORTABLE_NOTFOUND_CH_

#define _IORTABLE_TABLE___OUT_CH_

#define _IORTABLE_TABLE___PTR_CH_

#define _IORTABLE_TABLE___VAR_CH_

#define _IORTABLE_TABLE_CH_

#define TAO_EXPORT_MACRO TAO_IORTable_Export

## Function Documentation

TAO_IORTable_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IORTable::NotFound & | _tao_aggregate
| ) |

TAO_NAMESPACE_CLOSE TAO_IORTable_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IORTable::AlreadyBound & | _tao_aggregate
| ) |

TAO_IORTable_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | IORTable::NotFound & |
| ) |

TAO_IORTable_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | IORTable::AlreadyBound & |
| ) |